Bug 14982 - crashes if preferences are displayed
Summary: crashes if preferences are displayed
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnorpm   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-01 15:49 UTC by dpawluk
Modified: 2016-03-15 22:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 15:21:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for gnorpm (24K) (24.32 KB, patch)
2000-08-06 18:56 UTC, Alan Cox
no flags Details | Diff

Description dpawluk 2000-08-01 15:49:36 UTC
if preferences dialog is displayed, program starts rapidly displaying
dialog boxes which disappear immediately. this goes on for quite some time
and then program crashes with segfault in gnorpm-auth.

Comment 1 Tim Waugh 2000-08-04 13:33:43 UTC
Does that machine have networking set up?

Comment 2 dpawluk 2000-08-04 17:49:46 UTC
yes, networking is configured and working.


Comment 3 dpawluk 2000-08-04 17:55:50 UTC
i just tried preferences again and it opened normally. so i guess i can't
reproduce it. it may have been a temporary network condition i suppose, if
netwoking is involved in this opening. shaw@home has been screwing around a lot
lately with this new excite@home crap.


Comment 4 Alan Cox 2000-08-06 18:55:47 UTC
I can believe it, there are some amazingly stupid bugs in the Gnorpm network
handling code. 

Now if bugzilla is playing along I'll attach the fix for all the known webfind
side bugs..


Comment 5 Alan Cox 2000-08-06 18:56:51 UTC
Created attachment 2135 [details]
Fix for gnorpm (24K)

Comment 6 Tim Waugh 2000-08-09 11:25:48 UTC
Alan, this patch doesn't work:

../find/libfind.a(trans.o): In function `complain':
trans.o(.text+0x43): undefined reference to `gnome_appbar_get_type'
trans.o(.text+0x52): undefined reference to `gtk_type_check_object_cast'
trans.o(.text+0x5b): undefined reference to `gnome_appbar_pop'
trans.o(.text+0x66): undefined reference to `gnome_appbar_get_type'
trans.o(.text+0x74): undefined reference to `gtk_type_check_object_cast'
trans.o(.text+0x7d): undefined reference to `gnome_appbar_push'
collect2: ld returned 1 exit status
make[2]: *** [tester] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gnorpm-0.9/find'


Comment 7 Tim Waugh 2000-08-09 12:59:52 UTC
Please see if you can reproduce this problem after doing this:

$ rm -r ~/.gnome/gnorpm ~/.gnome/gnorpm.d

Comment 8 dpawluk 2000-08-09 15:21:06 UTC
deleted the gnorpm files. program doesn't crash just dialog boxes flashing away
and then finally the preferences dialog opens.

Comment 9 Preston Brown 2000-08-18 18:50:53 UTC
fixed in gnorpm-0.9-15 and later.


Note You need to log in before you can comment on or make changes to this bug.